Take the 2-minute tour ×
Server Fault is a question and answer site for professional system and network administrators. It's 100% free, no registration required.

I treid with easy_install lxml==2.1 and got following error

src/lxml/lxml.etree.c:120447: erreur: «XML_XPATH_UNDEF_PREFIX_ERROR" undeclared (first use in this function)
src/lxml/lxml.etree.c:120456: erreur: «XML_XPATH_UNKNOWN_FUNC_ERROR" undeclared (first use in this function)
src/lxml/lxml.etree.c:120465: erreur: «XML_XPATH_INVALID_OPERAND" undeclared (first use in this function)
src/lxml/lxml.etree.c:120474: erreur: «XML_XPATH_INVALID_TYPE" undeclared (first use in this function)
src/lxml/lxml.etree.c:120483: erreur: «XML_XPATH_INVALID_ARITY" undeclared (first use in this function)
src/lxml/lxml.etree.c:120492: erreur: «XML_XPATH_INVALID_CTXT_SIZE" undeclared (first use in this function)
src/lxml/lxml.etree.c:120501: erreur: «XML_XPATH_INVALID_CTXT_POSITION" undeclared (first use in this function)
src/lxml/lxml.etree.c:120698: erreur: «LIBXSLT_VERSION" undeclared (first use in this function)
src/lxml/lxml.etree.c:120709: erreur: «xsltLibxsltVersion" undeclared (first use in this function)
src/lxml/lxml.etree.c:120720: erreur: «__pyx_v_4lxml_5etree_XSLT_DOC_DEFAULT_LOADER" undeclared (first use in this function)
src/lxml/lxml.etree.c:120720: erreur: «xsltDocDefaultLoader" undeclared (first use in this function)
src/lxml/lxml.etree.c:120729: erreur: «__pyx_f_4lxml_5etree__xslt_doc_loader" undeclared (first use in this function)
error: Setup script exited with error: command 'gcc' failed with exit status 1
share|improve this question
add comment

1 Answer

up vote 4 down vote accepted

Do you have libxml2-dev and libxslt1-dev installed?

Also, support for gutsy ended over a year ago, you should really consider moving to hardy, which will be supported until April 2013

share|improve this answer
    
Thanks for your quick response and it works like anything !!! –  shahjapan Jul 27 '10 at 11:15
add comment

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.